import React from 'react'

import ManuscriptDetails from './ManuscriptDetails'
import {
  Root,
  BreadCrumbs,
  Header,
  ManuscriptId,
  Container,
  SideBar,
} from '../atoms'

const ManuscriptLayout = ({
  currentUser,
  updateManuscript,
  project,
  version,
}) => (
  <Root>
    <Container flex={3}>
      <Header>
        <BreadCrumbs>
          <span>Dashboard</span>
          <span>Manuscript Details</span>
        </BreadCrumbs>
        <ManuscriptId>{`- ID ${project.customId}`}</ManuscriptId>
      </Header>
      <ManuscriptDetails project={project} version={version} />
    </Container>
    <SideBar flex={1}>Sidebar</SideBar>
  </Root>
)

export default ManuscriptLayout
