const bodyParser = require('body-parser')

const Invite = app => {
  app.use(bodyParser.json())
  /**
   * @api {post} /api/users/reset-password Reset password
   * @apiGroup Users
   * @apiParamExample {json} Body
   *    {
   *      "email": "email@example.com",
   *      "token": "123123123",
   *      "password": "password",
   *      "firstName": "John",
   *      "lastName": "Smith",
   *      "affiliation": "UCLA",
   *      "title": "Mr"
   *    }
   * @apiSuccessExample {json} Success
   *    HTTP/1.1 200 OK
   *    {
   *      "id": "a6184463-b17a-42f8-b02b-ae1d755cdc6b",
   *      "type": "user",
   *      "admin": false,
   *      "email": "email@example.com",
   *      "teams": [],
   *      "username": "email@example.com",
   *      "fragments": [],
   *      "collections": [],
   *      "isConfirmed": true,
   *      "editorInChief": false,
   *      "handlingEditor": false
   *    }
   * @apiErrorExample {json} Invite user errors
   *    HTTP/1.1 400 Bad Request
   *    HTTP/1.1 404 Not Found
   */
  app.post(
    '/api/users/reset-password',
    require('./routes/users/resetPassword')(app.locals.models),
  )
}

module.exports = Invite
